#include <ESP8266WiFi.h>
#include <BME280.h>
#include <Wire.h>

const char *ssid = "ESPap";
const char *password = "";

IPAddress ip(192, 168, 4, 4);
WiFiServer server(80);
BME280 bme;

void setup() {
  Serial.begin(115200);
//  WiFi.softAPConfig(ip);
  WiFi.softAP(ssid, password);

  IPAddress myIP = WiFi.softAPIP();
  Serial.print("AP IP address: ");
  Serial.println(myIP);
  server.begin();
  Serial.println("HTTP server started"); 
  bme.begin();  
}

void loop() {
  WiFiClient client = server.available();
  if (client) {
  Serial.println("Client connected");
  String s="HTTP/1.1 200 OK\r\nContent-Type: text/html\r\n\r\n<!DOCTYPE HTML>\r\n<html><h3>MeteoStation v0.1</h3>\r\n";
  s+="<p>Temp C: ";  
  s+=bme.ReadTemperature(HIGH);
  s+="</p><p> Press Pa: ";  
  s+=bme.ReadPressure();
  s+="</p><p> Press mm: ";  
  s+=bme.ReadPressure()/133.3; 
  s+="</p><p> Hum %: ";  
  s+=bme.ReadHumidity();
  s+="</p><p> Altitude m: ";  
  s+=bme.CalculateAltitude(); 
  s+="</p><p> Dew Point C: ";  
  s+=bme.CalculateDewPoint(HIGH);
  s+="</p></html>\n";
  client.print(s);
  delay(1);
  
  client.flush();
  client.stop();
  
  Serial.println("Client disconnected");
  }  
}

