#include <ESP8266WiFi.h>
#include <BME280.h>
#include <Wire.h>
const char* ssid = "J3";
const char* password = "12345678";

WiFiServer server(80);
BME280 bme;

void setup() {
  Serial.begin(115200);
  delay(10);
  WiFi.begin(ssid, password);
  
  while (WiFi.status() != WL_CONNECTED) {
    delay(500);
    Serial.print(".");
    }
  Serial.println("");
  Serial.println("WiFi connected");
  
  server.begin();
  Serial.println("Server started");
  Serial.println(WiFi.localIP());
  Serial.println(WiFi.macAddress());
  Serial.println(WiFi.subnetMask());
  Serial.println(WiFi.gatewayIP());
  Serial.println(WiFi.SSID());
  Serial.println(WiFi.RSSI());  
  bme.begin();    
}

void loop() {
  WiFiClient client = server.available();
  if (client) {

client.print("HTTP/1.1 200 OK\r\nContent-Type: text/html\r\n\r\n<!DOCTYPE HTML>\r\n<html>\r\n");
client.print("<h3>MeteoStation v0.1</h3>\r\n");
client.print("<p> Temp C: ");
client.print(bme.ReadTemperature(HIGH)); 
client.print("</p><p> Press Pa: ");
client.print(bme.ReadPressure());
client.print("</p><p> Press mm: ");
client.print(bme.ReadPressure()/133.3); 
client.print("</p><p> Hum %: ");
client.print(bme.ReadHumidity());
client.print("</p><p> Altitude m: ");
client.print(bme.CalculateAltitude());
client.print("</p><p> Dew Point C: ");
client.print(bme.CalculateDewPoint(HIGH));
client.print("</p></html>\n");


  String s="HTTP/1.1 200 OK\r\nContent-Type: text/html\r\n\r\n<!DOCTYPE HTML>\r\n<html><h3>MeteoStation v0.1</h3>\r\n";
  s+="<p>Temp C: ";  
  s+=bme.ReadTemperature(HIGH);
  s+="</p><p> Press Pa: ";  
  s+=bme.ReadPressure();
  s+="</p><p> Press mm: ";  
  s+=bme.ReadPressure()/133.3; 
  s+="</p><p> Hum %: ";  
  s+=bme.ReadHumidity();
  s+="</p><p> Altitude m: ";  
  s+=bme.CalculateAltitude(); 
  s+="</p><p> Dew Point C: ";  
  s+=bme.CalculateDewPoint(HIGH);
  s+="</p></html>\n";
  client.print(s);
  delay(1);
  
  client.flush();
  client.stop();
  }  
}
